libvpx,generate_gni.sh: run git cl format

Instead of only `gn format` on BUILD.gn & libvpx_srcs.gni. This prevents
differences in the rtcd headers between commits that run `git cl format`
and those that don't. This matches what is done in libaom.

Change-Id: I2170432c1a47d989afb2f4edd05d54acb475d36d
Reviewed-on: https://chromium-review.googlesource.com/c/chromium/src/+/5011816
Reviewed-by: Wan-Teh Chang <wtc@google.com>
Commit-Queue: James Zern <jzern@google.com>
Cr-Commit-Position: refs/heads/main@{#1221809}
diff --git a/third_party/libvpx/generate_gni.sh b/third_party/libvpx/generate_gni.sh
index 77ff7fd..dbeedaa 100755
--- a/third_party/libvpx/generate_gni.sh
+++ b/third_party/libvpx/generate_gni.sh
@@ -597,10 +597,9 @@
 cd $BASE_DIR
 rm -rf $TEMP_DIR
 
-gn format --in-place $BASE_DIR/BUILD.gn
-gn format --in-place $BASE_DIR/libvpx_srcs.gni
-
 cd $BASE_DIR/$LIBVPX_SRC_DIR
 update_readme
 
 cd $BASE_DIR
+git cl format > /dev/null \
+  || echo "ERROR: 'git cl format' failed. Please run 'git cl format' manually."